package com.platform.yijia.pojo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/***
 * 生成订单时返回前端参数信息
 */
@Data
public class PayOrderResultInfo {

    private String ordNo;           //优惠金额
    private String gradeDiscountPriceAmt;    //价格优惠金额
    private String receivableAmt;   //应收金额
    private String oilLiters;       //加油金额
    private String oilName;       //油品名称

    private String oilPrice;        //原单价
    private String discountPrice;   //优惠单价
    private String amt;             //实收金额
    private String discountAmt;     //优惠金额
    private String dzkAmt;          //电子卡金额
    private String dzkDiscountAmt;     //优惠金额
    private String dzkDiscountPrice;    //电子卡优惠单价

    private String cardEnabledFlag;    //是否开电子卡功能

    private String balance;         //电子卡余额
    private String cardOilsType;    //电子卡类型
    private String oilsCardFlag;      //该用户是否有改电子卡

    //优惠券参数
    private String unionId;             //客户unionId
    private Integer stationId;          //油站ID

    //计算优惠券时所需要判断的优惠方案参数值
    private String allDiscountType;     // 1、等级优惠； 2、营销优惠；

    //标签功能参数
    private String isAddLabel;          //是否强制将该扫码用户拉入此标签：0、否；1、是；
    private String labelCreateBy;       //标签创建人
    private Date labelCreateTime;       //标签创建时间
    private String labelUpdateBy;       //标签更新人

    //集团为LNG平台加气 时所需司机价
    private String sellPrice;               //司机价
    private String sellAmt;                 //司机价后实收金额
    private String sellDiscountAmt;         //销售价后优惠金额
    private String driverDiscountAmt;       //司机价后优惠金额


    //客户所拥有的优惠券
    private List<UserCoupon> userCouponsList;       //客户所拥有的优惠券
}
