package com.platform.yijia.service;

import com.platform.yijia.param.request.StationRequest;
import com.platform.yijia.param.response.StationInfoResponse;
import com.platform.yijia.param.response.StationInfoVo;
import com.platform.yijia.pojo.*;

import java.util.List;
import java.util.Map;

public interface StationService {

    //更新LNG平台加气油站余额
    void updateStationBalance(StationInfo stationInfo);

    //更新LNG平台加气油站余额
    StationInfo selectStationBalance(StationInfo stationInfo);

    //根据小程序获取油站列表
    List<StationInfo> getStationListByAppId(StationInfo stationInfo);

    //支付宝小程序查询油站列表
    List<StationInfo> getStationListToAliPay(StationInfo stationInfo);

    //支付宝小程序根据地理位置查询油站列表
    StationInfoVo getStationListByGeoSituationToAliPay(StationInfo stationInfo);


    //获取油站的某个油品的价格和营销方案信息
    Map<String, Object> selectStationOilPriceAndDiscountSetting(Map<String, Object> map);

    //获取油站的油枪所绑定的打印设备
    StationDeviceManager getStationDeviceManager(StationDeviceManager stationDeviceManager);

    //获取油站的油枪所绑定的打印设备列
    List<StationDeviceManager> getStationDeviceManagerList(StationDeviceManager stationDeviceManager);

    //获取油站信息
    StationInfo selectStationInfo(StationInfo stationInfo);

    //获取油站公告
    Map<String, Object> getStationNoticeInfo(Integer stationId);

    //获取油站轮播图片
    StationInfo getStationPicList (StationInfo stationInfo);

    //跟据油站插叙有站列表 查询油站列表
    StationInfoVo stationInfoList(StationRequest stationRequest);

    //跟据油站插叙有站列表 查询油站列表 公众号
    StationInfoVo gzhStationInfoList(StationRequest stationRequest);

    //查询油站列表
    List<StationInfo> getStationList(StationInfo stationInfo);

    //添加油站信息
    void AddStationInfo(StationInfo stationInfo);

    //修改油站信息
    void updateStationInfo(StationInfo stationInfo);

    //删除油站信息
    void deleteStationInfo(StationInfo stationInfo);

    //获取该油站的优惠方式
    String getStationDiscountWay(String stationId);

    //获取小程序APPID和APPSECRET
    Map<String, String> getStationAppIdAndAppSecret(Integer stationId);

    //查询油站油品价格
    StationOilPrice getStationOilPrice(StationOilPrice stationOilPrice);

    //获取油站的打印机
    List<Map<String, Object>> getStationPrinterList(Integer stationId);

    //查询油站配置信息
    StationPayManage selectStationPayManage(StationPayManage stationPayManage);

}
